/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.person.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QTag extends EntityPathBase<Tag> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Mandant
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QTag tag = new QTag("tag");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath bemerkung = createString("bemerkung");

  public final StringPath name = createString("name");

  public final StringPath nameNormalisiert = createString("nameNormalisiert");

  public final StringPath neuerName = createString("neuerName");

  public final EnumPath<de.ivu.elect.business.person.entity.TagStatus> status = createEnum("status", de.ivu.elect.business.person.entity.TagStatus.class);


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.mandant.entity.QMandant mandant;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QTag(Class<? extends Tag> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.mandant = inits.isInitialized("mandant") ? new de.ivu.elect.business.mandant.entity.QMandant(forProperty("mandant"), inits.get("mandant")) : null;// de.ivu.elect.business.mandant.entity.QMandant.mandant;
  }

  public QTag(String variable) {
    this(Tag.class, forVariable(variable), INITS);
  }

  public QTag(Path<? extends Tag> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QTag(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QTag(PathMetadata metadata, PathInits inits) {
    this(Tag.class, metadata, inits);
  }
}
